﻿@model AvisFormation.Data.FormationAvecAvisDto

<article class="bg-white col-md-3 col-sm-6 info-block">
    <h4 class="link-formation">
        @Html.ActionLink(Model.Formation.Nom, 
       "DetailsFormation", "Formation", new { nomSeo = Model.Formation.NomSeo }, null)
    </h4>
    <div>
        @if (Model.Note == 0)
        {
            <div>Aucun avis </div>
        }
        else if (Model.Note > 0)
        {
            <span class="glyphicon glyphicon-star yellow"></span>
            if (Model.Note > 1)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            if (Model.Note > 2)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            if (Model.Note > 3)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            if (Model.Note > 4)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            <span>@Model.Note / 5 </span>
        }
    </div>
    <br />
    <div>@Model.Formation.Description</div>

    @if (User.Identity.IsAuthenticated) {
        <div>
            @{ 
                var checkIfExist = ((IEnumerable<AvisFormation.Data.FormationAvecAvisDto>)Session["formations"]).FirstOrDefault(x => x.Formation.Id == Model.Formation.Id) == null;
            }
            <a href="@Url.Action("Add", "Cart", new { id = Model.Formation.Id })">
                @*@if (((IEnumerable<AvisFormation.Data.FormationAvecAvisDto>)Session["formations"]).FirstOrDefault(x => x.Formation.Id == Model.Formation.Id) == null)
                {
                    <div style="position: absolute; height:30px; background-color: orange; bottom: 0; width: 100%; left: 0; border-bottom-left-radius: 7px; border-bottom-right-radius: 7px;">
                        <span style="top:23%;" class="glyphicon glyphicon-shopping-cart white">
                    </div>

                }else { 
                    <div style="position: absolute; height:30px; background-color: navajowhite; bottom: 0; width: 100%; left: 0; border-bottom-left-radius: 7px; border-bottom-right-radius: 7px;">
                        <span style="top:23%;" class="glyphicon glyphicon-shopping-cart yellow">
                    </div>
                }*@
                <div style="position: absolute; height:30px; background-color: @(checkIfExist.Equals(true) ? "orange" : "navajowhite" ); bottom: 0; width: 100%; left: 0; border-bottom-left-radius: 7px; border-bottom-right-radius: 7px;">
                    <span style="top:23%;" class="glyphicon glyphicon-shopping-cart @(checkIfExist.Equals(true) ? "white" : "yellow" )">
                </div>


            </a>
        </div>
    }
</article>